Bug 183238 - Update libnotify and notify daemon to latest upstream (also libnotify header includes config.h)
Update libnotify and notify daemon to latest upstream (also libnotify header ...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libnotify (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: John (J5) Palmieri
:
Depends On: 185683
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-27 13:47 EST by Steve Grubb
Modified: 2013-03-13 00:49 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-14 16:51:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Grubb 2006-02-27 13:47:22 EST
Description of problem:
The header file /usr/include/libnotify/notifynotification.h includes config.h at
line 21. This breaks building 3rd party apps.

Version-Release number of selected component (if applicable):
libnotify-0.3.0-4.2

How reproducible:
Everytime

Steps to Reproduce:
1. problem can be seen by inspecting the file given.

Additional info:
When packaging, might want to grep for config.h and edit it out or its its used,
then rename the file to libnotify-config.h
Comment 1 John (J5) Palmieri 2006-02-27 15:45:19 EST
Please update to latest upstream releases and make sure we only include config.h
in the .c files and not the .h files.

Note You need to log in before you can comment on or make changes to this bug.